Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.xensource.xenapi
Class SR.Record

    java.lang.Object
      com.xensource.xenapi.SR.Record

All Implemented Interfaces:
  Types.Record

Enclosing class:
  SR

    public static class SR.Record

extends Object
implements Types.Record

Represents all the fields in a SR

Field Summary
`Set<Types.StorageOperations>` | `allowedOperations` list of the operations allowed in this state.
`Map<String,Blob>` | `blobs` Binary blobs associated with this SR
`String` | `contentType` the type of the SR's content, if required (e.g.
`Map<String,Types.StorageOperations>` | `currentOperations` links each of the running tasks using this object (by reference) to a current_operation enum which describes the nature of the task.
`DRTask` | `introducedBy` The disaster recovery task which introduced this SR
`Boolean` | `localCacheEnabled` True if this SR is assigned to be the local cache for its host
`String` | `nameDescription` a notes field containing human-readable description
`String` | `nameLabel` a human-readable name
`Map<String,String>` | `otherConfig` additional configuration
`Set<PBD>` | `PBDs` describes how particular hosts can see this storage repository
`Long` | `physicalSize` total physical size of the repository (in bytes)
`Long` | `physicalUtilisation` physical space currently utilised on this storage repository (in bytes).
`Boolean` | `shared` true if this SR is (capable of being) shared between multiple hosts
`Map<String,String>` | `smConfig` SM dependent data
`Set<String>` | `tags` user-specified tags for categorization purposes
`String` | `type` type of the storage repository
`String` | `uuid` Unique identifier/object reference
`Set<VDI>` | `VDIs` all virtual disks known to this storage repository
`Long` | `virtualAllocation` sum of virtual_sizes of all VDIs in this storage repository (in bytes)

Constructor Summary
`SR.Record()`

Method Summary
`Map<String,Object>` | `toMap()` Convert a SR.Record to a Map
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### uuid

    public String uuid

  Unique identifier/object reference

### nameLabel

    public String nameLabel

  a human-readable name

### nameDescription

    public String nameDescription

  a notes field containing human-readable description

### allowedOperations

    public Set<Types.StorageOperations> allowedOperations

  list of the operations allowed in this state. This list is advisory only and the server state may have changed by the time this field is read by a client.

### currentOperations

    public Map<String,Types.StorageOperations> currentOperations

  links each of the running tasks using this object (by reference) to a current_operation enum which describes the nature of the task.

### VDIs

    public Set<VDI> VDIs

  all virtual disks known to this storage repository

### PBDs

    public Set<PBD> PBDs

  describes how particular hosts can see this storage repository

### virtualAllocation

    public Long virtualAllocation

  sum of virtual_sizes of all VDIs in this storage repository (in bytes)

### physicalUtilisation

    public Long physicalUtilisation

  physical space currently utilised on this storage repository (in bytes). Note that for sparse disk formats, physical_utilisation may be less than virtual_allocation

### physicalSize

    public Long physicalSize

  total physical size of the repository (in bytes)

### type

    public String type

  type of the storage repository

### contentType

    public String contentType

  the type of the SR's content, if required (e.g. ISOs)

### shared

    public Boolean shared

  true if this SR is (capable of being) shared between multiple hosts

### otherConfig

    public Map<String,String> otherConfig

  additional configuration

### tags

    public Set<String> tags

  user-specified tags for categorization purposes

### smConfig

    public Map<String,String> smConfig

  SM dependent data

### blobs

    public Map<String,Blob> blobs

  Binary blobs associated with this SR

### localCacheEnabled

    public Boolean localCacheEnabled

  True if this SR is assigned to be the local cache for its host

### introducedBy

    public DRTask introducedBy

  The disaster recovery task which introduced this SR

Constructor Detail

### SR.Record

    public SR.Record()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toMap

    public Map<String,Object> toMap()

  Convert a SR.Record to a Map

  Specified by:
    `toMap` in interface `Types.Record`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD